/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.refactoring;

import org.junit.Test;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotEquals;

/**
 * Tests for {@link WikiDocument}.
 *
 * @version $Id: 30345919829205e0f17ce3ce9e228f9a4c5da15d $
 */
public class WikiDocumentTest
{
    @Test
    public void equalsTest()
    {
        WikiDocument documentA = new WikiDocument("document.a", null, null);
        WikiDocument documentA2 = new WikiDocument("document.a", null, null);

        assertEquals(documentA, documentA2);

        WikiDocument documentB = new WikiDocument("document.b", null, null);

        assertNotEquals(documentA, documentB);
    }

    @Test
    public void hashCodeTest()
    {
        WikiDocument documentA = new WikiDocument("document.a", null, null);
        WikiDocument documentA2 = new WikiDocument("document.a", null, null);

        assertEquals(documentA.hashCode(), documentA2.hashCode());

        WikiDocument documentB = new WikiDocument("document.b", null, null);

        assertNotEquals(documentA.hashCode(), documentB.hashCode());
    }
}
